GWT 2.7.0

## com.google.gwt.user.client
Class BaseListenerWrapper.WrapWindowClose

    java.lang.Object
      com.google.gwt.user.client.BaseListenerWrapper<WindowCloseListener>
          com.google.gwt.user.client.BaseListenerWrapper.WrapWindowClose

All Implemented Interfaces:
  CloseHandler<Window>, EventHandler, Window.ClosingHandler

Enclosing class:
  BaseListenerWrapper<T>

    static class BaseListenerWrapper.WrapWindowClose

extends BaseListenerWrapper<WindowCloseListener>
implements Window.ClosingHandler, CloseHandler<Window>

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.BaseListenerWrapper
`BaseListenerWrapper.WrapWindowClose, BaseListenerWrapper.WrapWindowResize, BaseListenerWrapper.WrapWindowScroll`

Field Summary

Fields inherited from class com.google.gwt.user.client.BaseListenerWrapper
`listener`

Method Summary
`static void` | `add(WindowCloseListener listener)` Deprecated.
`void` | `onClose(CloseEvent<Window> event)` Called when `CloseEvent` is fired.
`void` | `onWindowClosing(Window.ClosingEvent event)` Fired just before the browser window closes or navigates to a different site.
`static void` | `remove(HandlerManager manager, WindowCloseListener listener)`

Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper
`baseRemove, getListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### add

    @Deprecated
    public static void add(WindowCloseListener listener)

  Deprecated.

### remove

    public static void remove(HandlerManager manager,
                              WindowCloseListener listener)

### onClose

    public void onClose(CloseEvent<Window> event)

  Description copied from interface: `CloseHandler`
  Called when `CloseEvent` is fired.

  Specified by:
    `onClose` in interface `CloseHandler<Window>`
  Parameters:
    `event` - the `CloseEvent` that was fired

### onWindowClosing

    public void onWindowClosing(Window.ClosingEvent event)

  Description copied from interface: `Window.ClosingHandler`
  Fired just before the browser window closes or navigates to a different site. No user-interface may be displayed during shutdown.

  Specified by:
    `onWindowClosing` in interface `Window.ClosingHandler`
  Parameters:
    `event` - the event

GWT 2.7.0